// WiFiWPS.h

#ifndef _WIFIWPS_h
#define _WIFIWPS_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "Arduino.h"
#else
	#include "WProgram.h"
#endif

#include "SystemState.h"

class WiFiWPS
{
public:
	void setupWifi();
	void resetSettings();
private:
	bool startWPSPBC();
};

extern WiFiWPS wifiWPS;
#endif

