#include "debugWeb.h"

extern AsyncWebSocket wsd;

void DebugWeb::sendWeb(const char* data)
{
	char* debugString;
	debugString = (char*)malloc(strlen(data) + 30);

	//sprintf(debugString, "[%s][%d] %s", ntpTime.c_str(), ESP.getFreeHeap(), data);
	snprintf(debugString, strlen(data) + 30, "[%d] %s", ESP.getFreeHeap(), data);
	Serial.print(debugString);
	if (wifiActive) {
		wsd.textAll(debugString);
	}
	free(debugString);
}
void DebugWeb::sendWebln(const char* data)
{
	char* debugString;
	debugString = (char*)malloc(strlen(data) + 30);

	//ntpTime.toCharArray(temp, 9);
	//sprintf(debugString, "[%s][%d] %s", ntpTime.c_str(), ESP.getFreeHeap(), data);
	snprintf(debugString, strlen(data) + 30, "[%d] %s", ESP.getFreeHeap(), data);
	Serial.println(debugString);
	if (wifiActive) {
		wsd.textAll(debugString);
	}
	free(debugString);
}

//int DebugWeb::available(void)
//{
//	return 1;
//}
//
//int DebugWeb::read(void)
//{
//	return 0;
//}
//
//int DebugWeb::peek(void)
//{
//	return 0;
//}
//
//size_t DebugWeb::write(uint8_t c)
//{
//	return size_t();
//}

DebugWeb debugWeb;
